Leads
Update a lead
Updates fields of an existing lead.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
leads
/
{id}
Update a lead
curl --request PATCH \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/leads/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"custom_name": "Updated Deal Name",
"lead_value": 123,
"lead_currency": "<string>",
"assigned_agent_id": 123,
"position": 123,
"conversation_id": 123,
"company_id": 123,
"custom_attributes": {
"industry": "Technology",
"annual_revenue": 500000
}
}
'import requests
url = "https://connect.voxys.ai/api/v1/accounts/{account_id}/leads/{id}"
payload = {
"custom_name": "Updated Deal Name",
"lead_value": 123,
"lead_currency": "<string>",
"assigned_agent_id": 123,
"position": 123,
"conversation_id": 123,
"company_id": 123,
"custom_attributes": {
"industry": "Technology",
"annual_revenue": 500000
}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_name: 'Updated Deal Name',
lead_value: 123,
lead_currency: '<string>',
assigned_agent_id: 123,
position: 123,
conversation_id: 123,
company_id: 123,
custom_attributes: {industry: 'Technology', annual_revenue: 500000}
})
};
fetch('https://connect.voxys.ai/api/v1/accounts/{account_id}/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 42,
"custom_name": "Enterprise Deal - Q3",
"status": "open",
"lead_value": 15000,
"lead_currency": "USD",
"position": 1,
"notes": "Prospect from trade show",
"assigned_agent": {
"id": 1,
"name": "Jane Smith",
"email": "jane@example.com",
"avatar_url": "<string>"
},
"company": {
"id": 10,
"name": "Acme Corp",
"domain": "acme.com"
},
"conversation_id": 100,
"custom_attributes": {
"industry": "Technology",
"annual_revenue": 500000
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
API access token for authentication. Obtain from your Voxys Connect profile settings.
Path Parameters
The numeric ID of the account.
The ID of the lead.
Body
application/json
Example:
"Updated Deal Name"
Flexible key-value map of custom attributes defined for the account.
Example:
{
"industry": "Technology",
"annual_revenue": 500000
}
Response
Lead updated.
Example:
42
Example:
"Enterprise Deal - Q3"
Available options:
open, won, lost, snoozed Example:
"open"
Example:
15000
Example:
"USD"
Example:
1
Example:
"Prospect from trade show"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
100
Flexible key-value map of custom attributes defined for the account.
Example:
{
"industry": "Technology",
"annual_revenue": 500000
}
Previous
Change lead statusChanges the status of a lead (e.g., open, won, lost, snoozed) with optional notes.
Next
⌘I
Update a lead

